Introduction to USBControl

USBControl helps you monitor the devices connected to your USB system.

Using USBControl, you can see your devices in three different Views:

  • Monitoring View, which can be set to always appear on top of any other applications on your monitor.

  • Device View, which displays detailed information about any selected USB device on your system.

  • System View, which displays detailed information about your USB system.

Key Features

Use USBControl to:

  • Trace cable paths to find out where your devices are connected before you start following cables along the floor and behind your desk.

  • Identify devices that are mis-connected and performing below optimum speed.

  • Monitor your USB system for performance and overall status.

  • Monitor your USB devices for activity and overall status.


About USB

USB stands for Universal Serial Bus. It is the interface between your computer and the USB devices you plug into it. Your computer communicates with USB devices through the USB interface.

Some USB features are particularly important to desktop computer users:

  • USB is one-size-fits-all—any USB device can be plugged into any USB port using any USB cable. (What does a USB plug/port look like?)

  • USB devices feature plug-and-play installation—you don't have to open your computer or add special hardware to install a new USB device. Once you plug your USB device into your computer (or hub) and turn it on, you can start using it right away.

  • You can hot-swap USB devices. You can easily unplug your digital camera to take away with you, or plug in your joystick during your lunch break.

  • You can have many USB devices connected to your computer at once. Most newer computers come with 2 USB ports. USB hubs can provide additional ports.

How Many USB Devices Can I Connect?

Technically, it is possible to connect 127 separate USB devices to your computer. Realistically, however, USB and device limitations mean that the maximum number of devices you can plug in at once is less than 127. (Exact limits depend on the type of devices you are using. Go to About USB Hubs for more information.))

If your computer does not have a built-in USB 2.0 port, Adaptec recommends installing an Adaptec USB 2.0 card for the highest-quality USB 2.0 connection. (Go to www.adaptec.com for more information.)

USB 1.1 vs USB 2.0

USB 2.0 transfers data at 480 Megabits per second. USB 1.1 transfers data at 12 Megabits per second—that makes USB 2.0 up to 40 times faster than USB 1.1.

USB 2.0 devices connected through a USB 1.1 hub are limited to USB 1.1 speeds. A USB 2.0 hub needs to be connected to a computer or host adapter USB 2.0 port to operate at USB 2.0 speeds.

USB 1.1 devices cannot operate at USB 2.0 speeds even when connected to a USB 2.0 hub or adapter.


About USB Devices

"Devices" is a generic term for tools that are plugged into your computer. Devices are sometimes called peripherals.

Your keyboard and mouse are devices. A partial list of other devices include:

  • hard drives

  • CD-ROM drives

  • joy sticks

  • flatbed scanners

  • digital cameras

  • printers

  • modems

USB devices can be plugged into USB ports only, and must be supported by USB drivers.

USB 2.0 Devices vs USB 1.1 Devices

USB 1.1 and USB 2.0 devices run at different speeds and are not interchangeable. Go to About USB for more information.

Plugging USB 1.1 devices into USB 2.0 ports won't make the devices run at USB 2.0 speed.

Plugging USB 2.0 devices into USB 1.1 ports will slow the speed of the devices.


About USB Hubs

A hub works with a computer like a power strip works with an electrical outlet—it multiplies the number of ports you have so that you can have more devices plugged in at the same time. (What does a hub look like?)

Hubs can be daisy-chained to add even more ports. Check your hub documentation to find out how long your daisy chain can be.

(For the best device performance, a hub should be connected directly to an adapter.)


About Drivers

About USB Drivers

A USB 2.0 driver is a software program that enables your USB adapters and hubs. Without USB 2.0 drivers on your computer, your USB 2.0 devices won't work properly, if at all.

A USB device driver is a software program that helps your computer work with your USB device by translating the computer's language into language the device can understand.


Connecting USB 2.0 Devices

Connect your USB 2.0 devices correctly to ensure that they will work at full capacity.

To properly connect your USB 2.0 devices:

  • Connect to a USB 2.0 port either on your computer or on a USB 2.0 hub.

  • Ensure that if you are using a hub, it is a USB 2.0 hub and that it is connected to a USB 2.0 port on your computer.

  • Use a USB 2.0-certified cable.

Note!

Plugging a USB 2.0 device into a USB 1.1 port will reduce your device's speed to USB 1.1 levels. Go to About USB Devices for more information.


Decoding the Status Icons

Four icons help you monitor your USB devices at a glance by giving you visual clues about device and system status.

Each icon represents a general status level and visually alerts you when an error or problem occurs.

In the Device and System views, the icons display next to detailed messages about your devices or system. In Monitoring View, a status icon appears next to each device.

Icon | Status Indicated
 | A green check mark always means that status is OK.
 | A pink asterisk indicates optimization status. When it appears in the System View, it means at least one device is not performing as well as it could. When it appears in the Device or Monitoring Views, it means the indicated device is not performing as well as it could. Go to Troubleshooting USB Devices for more information.
 | An orange exclamation point indicates that a small problem has occurred with a device. A power cord may be unplugged or a device may be connected incorrectly. Go to Troubleshooting for more information.
 | A red exclamation point indicates that a serious problem has occurred. Serious problems are usually related to power usage. See Troubleshooting Power Problems for more information.

Tip!

Whenever an icon appears with an error message, click Get Help for troubleshooting suggestions.


Decoding Device Map Colors

Color-coding in the Device Map helps you identify and locate your USB hubs and devices.

Color-coded Hub/Adapter Icons

Icon | Decoded Meaning
 | Shaded black squares inside the My Computer box represent Adaptec-brand adapters.
 | Solid black squares inside the My Computer box represent non-Adaptec-brand adapters.
 | Shaded white squares outside the My Computer box represent Adaptec-brand hubs.
 | Solid white squares outside the My Computer box represent non-Adaptec-brand hubs.

Color-coded Cables

Cable Color | Decoded Meaning
Black | Connected device is running at USB 1.1 speed.
Blue | Connected device is running at USB 2.0 speed.
Orange | Highlighted device is connected to the highlighted cables, hubs, and port numbers.

Tip!

Click on the device icon when you wish to unplug a device and need to know which USB port it's plugged into. The orange highlighting will trace the cable path to the computer.


Resizing Views

Like other application windows, you can resize all the Views in USBControl.

To resize a View:

  1. Roll your mouse over the View.

A thick frame appears around the View.

  2. Point to the bottom right corner of the frame.

  3. Click and hold your left mouse button.

  4. Move your mouse to expand or decrease the size and shape of the View.

  5. Release the mouse button.


Resizing Window Panes

In System View and Device View, you can resize the panes in the window to hide or display portions of the on-screen information.

To resize the window panes:

  1. In the View you want to adjust, place your cursor over the window separation bar.

Your cursor changes to [image].

  2. Click and hold your left mouse button.

  3. Drag your mouse up to hide panes of the window, or drag your mouse down to reveal hidden panes of the window.

Hiding the top panes increases the size of the Device Map pane. Revealing the top panes decreases the size of the Device Map pane.

  4. Release the mouse button.

Tips!

You might want to adjust a window to hide information you're not using, such as the Advanced Information pane in Device View.

You might also want to adjust a window to display information you need, such as the Device Map.


Repositioning Views On Your Screen

Like other application windows, you can reposition USBControl Views by "grabbing" them and moving them anywhere on your computer screen.

To reposition any USBControl View:

  1. Position your mouse over the frame of the open View.

Your cursor will turn into a hand.

  2. Click and hold anywhere on the frame to grab the View.

  3. Move your mouse until the View is repositioned on your screen.

  4. Release the mouse button.

Tip!

You might want to reposition USBControl so that the open View doesn't cover another application that you have open on your screen.


Monitoring View

Monitoring View is a handy summary of the Device Map—it shows a list of your plugged-in USB devices and gives you connection and status information. It also includes a feature not found in the other two Views: virtual LEDs, which glow and flash as data is transferred back and forth from your devices to your computer.

Monitoring View opens when you launch USBControl. By default, it sits on top of all other applications running on your computer so that you can always monitor your USB devices. (You can change this default setting in the System Options dialog box.)

When Monitoring View first opens, only one device is shown (if you have USB devices plugged in). If you have more than one device connected to your USB system, you can scroll through the list of devices, or you can maximize Monitoring View to show more than one device at once.

You can also rearrange the order of the listed devices.

If you have no USB devices plugged in, Monitoring View shows only the System View icon.

Note!

Only your USB devices appear in Monitoring View. Your devices, hubs, and adapters appear on the Device Map.

To explore this sample Monitoring View:

  1. Point your mouse at a feature of this Monitoring View to see a pop-up definition of that feature.

  2. Click on a feature of this Monitoring View to open a detailed description of that feature.


Status Icons

Four icons help you monitor your USB devices by giving you visual clues about device and system status.

Each icon represents a general status level and visually alerts you when an error or problem occurs.

In Monitoring View and Device View, status icons show you if your device is running properly, or if there is a problem or error.

In System View, the status icon shows you if your USB system is running properly, or if there is a problem or error.

Go to Decoding the Status Icons for more details on each icon.


Device Icons

Device icons represent your USB devices.

In Device View, the device icon and name of the selected device appears in the upper left-hand corner of the screen.

In Monitoring View, the device icon appears next to the status icon.

Roll your mouse over the device icon to see the device's name pop up.

Tip!

You can change the device's icon and name in the Device Options dialog box.


Connection Details

In Monitoring View, device connection details appear beside each device icon.

The number inside the square [image] tells you which adapter or hub the device is connected to.

The number inside the circle [image] tells you which port the device is plugged into.

For example:

This device is plugged into port # 2 of hub 1.

Tips!

Click any device icon to open the Device Map in Device View.

Go to Tracing Your Cable Paths or Decoding Device Map Colors for more help with connection information.


Virtual LEDs

A virtual LED appears beside each device icon in Monitoring View. It mimics an activity light like the one on your hard drive, and glows and flashes to show that data is flowing between your device and your computer.

The virtual LED tells you three things:

  • Whether the device is working

  • Whether data is being transmitted to or from the device

  • Whether the device is working at USB 2.0 speed or at a slower speed

Go to Decoding the Virtual LEDs for details about each LED condition.

Tip!

The Virtual LEDs are set by default to show real-time transmission information. You can turn this setting off in the System Options dialog box.


System View Icon

In Monitoring View

The System View icon appears in the list of device icons and can be used as a button to open System View.

  • In Monitoring View, click the System View icon to open System View.

In System View

The System View icon appears in the top left-hand corner of the screen. It lets you know that System View is open. (If a device icon appears in this position instead, Device View is open.)


Scrolling Through Monitoring View

You can reduce or resize Monitoring View so that only a limited number of your devices appear on-screen. You can see the rest of them at any time by scrolling through the list of devices.

To scroll through Monitoring View:

  1. Roll your mouse over the open Monitoring View.

A thick frame appears around the View.

  2. Click the [image] button to scroll down to the next device in the list.

  3. Continue to click the [image] and [image] buttons to scroll up and down the device list. You can leave any device (or group of devices) on view. (See the Tip below for more details.)

Tip!

If you have a large number of devices connected to your system but only want to monitor a few at once, you can rearrange your device list so that those devices are grouped together. You can then resize Monitoring View so that only those devices are displayed.


Rearranging Devices in Monitoring View

You can rearrange the order of the devices listed in Monitoring View by "dragging and dropping" the device icons.

To rearrange the order of the devices:

  1. Roll your mouse over the enlarged Monitoring View.

  2. Click and hold on a device icon you want to move.

  3. Drag the device icon up or down the list until it's in place.

  4. Release the mouse button to drop the device.

  5. Repeat until your devices are arranged in the order you want.

Tip!

You might want to rearrange your device list if you have a large number of devices connected to your system but only want to monitor a few at once. Group these devices together to make them easy to find on the list.

You can also limit the size of the Monitoring View so that it takes up less room on your screen. Go to Resizing Views for more information.


Decoding the Virtual LEDs

A virtual LED appears beside each device on the Monitoring View screen. It mimics an activity light like the one on your hard drive, and glows and flashes to show the status of the device.

The virtual LED tells you three things:

  • Whether the device is working

  • Whether data is being transmitted to or from the device

  • Whether the device is working at USB 2.0 speed or at a lower speed

The virtual LED shows the status of the device by flashing or glowing in different ways:

LED Condition | Device Status
Glowing Bright | Device is working at USB 2.0 speed.
Glowing Dim | Device is at or below USB 1.1 speed.
Flashing | Data is being transferred to or from the device.


Enlarging or Reducing Monitoring View

When USBControl is launched, Monitoring View opens with only one device showing (if you have devices plugged in).

If you have more than one device connected to your USB system, you can enlarge Monitoring View so that multiple devices are showing.

When Monitoring View is enlarged, you can reduce it so that it displays only one device at a time.

To enlarge Monitoring View:

  1. Roll your mouse over the open Monitoring View.

A thick frame appears around the View.

  2. Click the [image] button.

The Monitoring View enlarges to show multiple devices.

To reduce Monitoring View:

  1. Roll your mouse over the open Monitoring View.

A thick frame appears around the View.

  2. Click the [image] button.

The Monitoring View shrinks in size and displays one device only.


Device View

Device View is all about your devices. In Device View, you can see detailed information about any of your connected USB devices, set device options, and access the Device Map.

You can resize the entire View, and you can resize the window panes inside the View to better suit your needs.

To explore this sample Device View:

  1. Point your mouse at a feature of this Device View to see a pop-up definition of that feature.

  2. Click on a feature of this Device View to open a detailed description of that feature.


Device Information

In Device View, specific device information is displayed under the buttons at the top of the screen:

  • Manufacturer

  • Device description

  • USB device information

  • Connection information

Tips!

You can change the manufacturer's name and the device description in the Device Options dialog box.

You can hide the device information by resizing the window panes.


Device Status Information

In Device View, the status of the selected device is displayed in the top half of the window.

The status icon shows you at a glance if your device is running properly, or if there is a problem or error.

The text message gives you detailed status information and helpful suggestions, and directs you to the Get Help button if an error has occurred.

Tip!

You can hide the device status information by resizing the window panes.


Advanced Information

In Device View, detailed technical information appears in the Advanced Information pane in the middle of the window.

Tip!

You can hide the Advanced Information pane by resizing the window panes.


Device Map

The Device Map appears in System View and Device View. It shows you at a glance which devices are connected, and where they are connected.

To explore this sample Device Map:

  1. Point your mouse at a feature of this Device Map to see a pop-up definition of that feature.

  2. Click on a feature of this Device Map to open a detailed description of that feature.


Set Options Button

There is a Set Options button in both Device View and System View.

You can set or change different options in each View.

Set Options Button – Device View

When you click Set Options in Device View, the Device Options dialog box opens.

In the Device Options dialog box, you can:

  • Change the device name.

  • Change the device icon.

  • Change the manufacturer information.

  • Change the product description.

Set Options Button – System View

When you click Set Options in System View, the System Options dialog box opens.

In the System Options dialog box, you can choose whether or not USBControl

  • Opens automatically when you start Windows.

  • Shows real-time transmission lights.

  • Shows Monitoring View on top of all other applications on your screen.

  • Opens automatically when an error occurs.

Go to Setting System Options for detailed instructions.


Opening Device View

You can open Device View from System View or Monitoring View.

To open Device View from Monitoring View:

  • Click on any device icon, or

  • Click on a particular device icon to see details about that device.

To open Device View from System View:

  • Click on any device icon in the Device Map, or

  • Click on a particular device icon in the Device Map to see details about that device.


Changing a Device Icon

On-screen, your devices are represented by icons. USBControl automatically assigns a device icon to your device when you first plug it in, but you can change this icon at any time. You can choose from a wide range of device icons, and each icon is available in 7 colors.

Tip!

You might want to do this if you have two similar devices (like two printers) that have been assigned the same icon.

To change a device icon:

  1. Locate and click the device icon to open Device View.

  2. Click Set Options.

The Device Options dialog box opens.

  3. Click Change.

The Change Icon dialog box opens.

  4. Browse through the Icon Folders list until you find the icon category you are looking for.

  5. In the Icons list, click the icon you want.

  6. Click Save to apply the new device icon and close the Device Options dialog box.


Changing a Device Name

Changing the Device Name

USBControl automatically assigns a name to each device connected to your system.

You can change that name at any time.

Tip!

You might want to do this if you have two similar devices (like two printers) that have been assigned the same name.

To change the name of a device:

  1. Locate and click the device icon on the Device Map to open Device View.

  2. Click Set Options.

The Device Options dialog box opens.

  3. In the Name box, edit or replace the device name.

  4. Click Save to apply the new device name and close the Device Options dialog box.


Changing Manufacturer and Product Information

USBControl automatically records the manufacturer's name and product description for each device connected to your system.

You can change these two pieces of information at any time.

Tip!

You might want to do this if the information is incomplete, or if there is specific information that you want to record instead.

To change the manufacturer's name:

  1. Locate and click the device icon on the Device Map to open Device View.

  2. Click Set Options.

The Device Options dialog box opens.

  3. In the Manufacturer box, edit or replace the manufacturer name.

  4. Click Save to apply the new manufacturer name and close the Device Options dialog box.

To change the product description:

  1. Locate and click the device icon on the Device Map to open Device View.

  2. Click Set Options.

The Device Options dialog box opens.

  3. In the Product Description box, edit or replace the product description.

  4. Click Save to apply the new manufacturer name and close the Device Options dialog box.


System View

System View is about your complete USB system. In System View, you can see detailed information about your USB system, set system options, and access the Device Map.

From System View, you can access information about USBControl, and you can get driver updates.

You can resize the entire View, and you can resize the window panes inside the View to better suit your needs.

To explore this sample System View:

  1. Point your mouse at a feature of this System View to see a pop-up definition of that feature.

  2. Click on a feature of this System View to open a detailed description of that feature.


System Status Information

In System View, the status of your USB system is displayed in the top half of the window.

The status icons show you at a glance if your system and devices are running properly, or if there is a problem or error.

The text message gives you detailed status information and helpful suggestions, and directs you to the Get Help button if an error has occurred.

Tip!

You can hide the system status information by resizing the window panes.


Adapters and Hubs Pane

In System View, detailed information about any adapters and hubs connected to your USB system appears in the Adapters and Hubs pane above the Device Map.

You can scroll through the list of adapters and hubs by using the arrow buttons.

Tips!

You can hide the Adapters and Hubs pane by resizing the window panes.

You can expand or collapse portions of the Device Map by clicking on the adapter or hub icons in the Adapters and Hubs pane.


Disconnected Hubs and Devices Pane

In System View, a list of hubs and devices that have been disconnected from your USB system appears above the Device Map.

The Disconnected Hubs and Devices list automatically clears items that have been disconnected for 3 consecutive days.

Tip!

You can hide the Disconnected Hubs and Devices pane by resizing the window panes.


Get Update Button

Click the Get Update button in System View when you need to update your USB 2.0 driver.

Your computer automatically connects to the Adaptec Web site and opens at the USB driver update page. Follow the links to download the newest USB drivers. Go to About Drivers for more information.

Note!

You must have an Internet connection on your computer to use the Get Update button.


Opening System View

You can open System View from Device View or Monitoring View.

To open System View from Monitoring View:

  • Click on the System View icon.

To open System View from Device View:

  • Click on the My Computer box at the top of the Device Map.


  • In Monitoring View, click the System View Icon.

  • In Device View, click inside the My Computer Box.

  • Turn a setting off by clicking the box to remove the checkmark. Click the box again to replace the checkmark.

  • Change the standard for opening USBControl automatically by clicking and holding the marker and dragging it left or right.

Setting System Options

USBControl has four settings that you can change to suit your needs. You can choose whether or not USBControl

  • Opens automatically when you start Windows.

  • Shows real-time transmission lights.

  • Shows Monitoring View on top of all other applications on your screen.

  • Opens automatically when an error occurs.

To set any of these system options:

  1. Open System View.

  2. Click Set Options.

The System Options dialog box opens.

  3. Change the settings to suit your needs.

  4. Click Save to apply the new settings and close the System Options dialog box.


Tracing Your Cable Paths

You can use USBControl to trace the path of any USB cable from device to computer. Use USBControl instead of physically following the cable back to its source.

Tip!

You might want to do this if you need to unplug a device or swap a cable.

To trace a cable path:

  1. In Device View or System View, resize the Device Map pane so that you can see the whole Device Map.

  2. Click on the device icon whose cable path you want to trace.

The cable path for that device highlights in orange.

  3. Follow the highlighted cables and use the port numbers to see where your device is plugged in and which cable is connected to it.


Moving the Device Map

If your Device Map is so large that you can't see the whole thing at once, you can adjust your view of it by "grabbing" it and moving it inside its window pane.

To move the Device Map:

  1. Point your mouse at the background of the Device Map. (Your mouse pointer turns into a hand.)

  2. Click and hold to grab the Device Map. (Your mouse pointer turns into a fist.)

  3. Move your mouse around to adjust your view of the Device Map.

  4. Release the mouse button.


Expand/Collapse Button

Beneath each adapter and hub icon on the Device Map is a button with a plus (+) or minus (-) sign in it. Use these buttons to collapse or expand portions of the Device Map.

To collapse part of the Device Map:

Click the minus sign of a hub or adapter to collapse that specific hub/adapter's Device Map.

To expand a collapsed part of the Device Map:

Click the plus sign of a collapsed hub or adapter to expand that specific hub/adapter's Device Map.

Tip!

You can also expand or collapse a specific hub/adapter's Device Map by clicking on that hub/adapter's icon in the Adapters and Hubs pane.


Available Ports

Available ports are clearly labeled on the Device Map. You can plug new USB devices into available ports. Ensure that you plug USB 2.0 devices into USB 2.0 ports.

Available ports do not appear in Monitoring View.


My Computer Box

The white My Computer box sits at the very top of the Device Map, and represents your computer.

Icons inside the My Computer box represent your USB adapters, which are identified by letters, starting at A. (Hubs appear outside the My Computer box and are identified by numbers, starting at 1.)

The adapters are also color-coded for easy identification.

Tips!

If you can't see the My Computer box, resize the window panes, enlarge the window, or move the Device Map until it appears.

If you are in Device View, click anywhere inside the My Computer box to open System View.


Port Numbers

If your USB device is connected to a multiple-port hub or adapter, the port that it's plugged into appears on the device's cable path on the Device Map.

The port number appears inside a circle directly above the device icon.


Troubleshooting

If USBControl displays an error message, click the Get Help button for troubleshooting suggestions. You can also refer to any of these topics:

Troubleshooting USB Devices

Troubleshooting Views

Troubleshooting Error Messages

Troubleshooting Bandwidth Problems

Troubleshooting Disabled Devices

Troubleshooting Hub Daisy-chains

Troubleshooting Power Problems

Troubleshooting Virtual LEDs


Getting Help

USBControl Online Help is designed to help you quickly find answers to your questions.

You can find topics using the Table of Contents, Index, and Glossary, or by doing a Search for a key word.

Within topics, click on links, pop-up definitions, expanding text links, and Related Topics buttons to find even more information.

To open USBControl Online Help:

  1. Click the Get Help button available in System View and Device View.

Notes and Tips!

Helpful tips and important information and cautions appear in blue boxes like this one.

Getting Help with an Error Message

If you click the Get Help button when USBControl is showing an error message, USBControl Online Help opens to the troubleshooting page that will help you solve the problem.

Getting Help at Adaptec.com

Explore the Adaptec Web site for more information about USB and USB products, and for USB driver updates. Search the Adaptec Support Knowledgebase (ASK) for articles, troubleshooting tips, and frequently-asked questions about USB and other Adaptec products.


Troubleshooting USB Devices

Follow these suggestions to help correct USB device problems. If the problems persist, check your device's documentation or with the device's manufacturer.

  • Ensure that your device is plugged in properly. Check that all cables are securely connected.

  • Ensure that your device driver is correctly installed. See your device's documentation for more information.

  • Ensure that your USB 2.0 device is plugged into a USB 2.0 port.


Troubleshooting Error Messages

Error Messages in USBControl

When a problem or error occurs with a device or with your USB system, USBControl displays an error message in Device View or System View that tells you about the problem and how to fix it. When you receive an error message, click Get Help for additional troubleshooting tips.

Error Messages on Start-up

If your computer is running Windows® 2000 or Windows XP, this warning message may appear when you turn on your computer:

This operation returned because the time-out period expired.

If this warning message appears, turn off USBControl's auto-launch feature.

To turn off auto-launch

  1. Open System View.

  2. Click Set Options.

  3. Click the Start at Windows start-up box.

The check-mark disappears.

  4. Click Save to apply the new settings and close the System Options dialog box.


Troubleshooting Views

Click on any of these topics to find explanations for common problems and useful tips for correcting them.

My Hub Doesn't Appear in Monitoring View

USBControl Shows More Ports Than My Hub Really Has

My 7-Port Hub Shows As Two Linked 4-Port Hubs

There's Too Much Device Map

There's Not Enough Device Map

USBControl Thinks My Scanner is a "Bridge"

EHCI Host Controller Appears in the Disconnected Hubs and Devices Window


Troubleshooting Disabled Devices

Follow these suggestions to help correct problems with disabled devices. If the problems persist, check your device's documentation or with the device's manufacturer.

Device Disabled

You have manually disabled your device in Device Manager.

To fix a disabled device

  1. Re-enable the device in Device Manager, or

  2. Unplug and re-plug the device.

Also, make sure that the device driver is installed correctly. Refer to the device's documentation for detailed instructions.


Troubleshooting Hub Daisy-chains

Follow these suggestions to help correct problems with USB hub daisy-chains. If the problems persist, check your device's documentation or with the device's manufacturer.

Too Many Hubs

There is a maximum number of USB devices (and therefore hubs) that can be linked together and connected to the same USB port. Ensure that you have no more than 127 USB devices daisy-chained together.

The maximum allowable number of hubs used to create any daisy-chain will differ depending on how many ports are on each hub. Adaptec XHubs can be daisy-chained as follows:

  • Up to 5 XHub4s

  • Up to 4 XHub7s

  • The maximum number of Adaptec XHubs on a daisy-chain will vary if you use a combination of XHub4s and XHub7s. Non-Adaptec hubs may have different limitations. Check your hubs' documentation for further information.

Hubs Daisy-Chained Incorrectly

7-port hubs must be daisy-chained using particular USB ports to be at their most effective.

To properly connect an Adaptec XHub4 to another XHub, use any USB port on the XHub4.

To properly connect an Adaptec XHub7 to another XHub, use USB port 1, 3, or 5 on the XHub7.

Non-Adaptec hubs may have different requirements. Check your hubs' documentation for further information.


Troubleshooting Power Problems

Follow these suggestions to help correct power problems. If the problems persist, check your device's documentation or with the device's manufacturer.

No Power

Make sure that your power cord is working properly, that it is plugged in, and that there is power being supplied to your power source.

Insufficient Power

Your hub or adapter may not be able to provide enough power to the device. Use an external power source, or connect to a port that can provide enough current to run your device.

Overcurrent

Remove the device immediately—your device is drawing too much current from the hub or adapter, and may cause damage.


Troubleshooting Bandwidth Problems

Follow these suggestions to help correct bandwidth problems. If the problems persist, check your device's documentation or with the device's manufacturer.

Too Many Devices

You may have too many isochronous devices plugged into your adapter. Remove as many of these devices as necessary, or plug them into a port connected to a different adapter.


Troubleshooting Virtual LEDs

Follow these suggestions to help correct virtual-LED problems.

The LEDs Have Disappeared

The LEDs may have been turned off. To turn on the virtual LEDs and monitor the real-time transmission lights

  1. Open System View.

  2. Click Set Options.

The System Options dialog box opens.

  3. Click the Show real-time transmission lights box.

A checkmark appears in the box.

  4. Click Save to apply the new setting and close the System Options dialog box.


Links

Click on a link to open other topics within the help system. Use the Back button to return to return to the original topic.


Recognizing USB Hubs

This graphic shows the Adaptec XHub 7 Plus, which has 7 USB ports and is small enough to sit on your desk. You can plug up to 7 devices into this hub at one time. Other hubs may have slightly different features.


Recognizing USB Plugs and USB Ports

This graphic shows a USB plug and a set of USB ports, as they would appear on a hub.


USBControl Thinks My Scanner is a "Bridge"

USBControl identifies each device plugged into your USB system, and automatically assigns it a name and device icon. It may identify a device (such as a scanner, CD-RW drive, or disk drive) as a "bridge" based on the type of computer chip or board inside the device.

You can rename a device and assign it a new device icon at any time.


Duplicate Device Icons Appear in Monitoring View

If your computer is running Windows® 2000 or Windows XP, duplicate copies of the same device icon may appear in Monitoring View if you disable and re-enable that device multiple times. This effect is a quirk of these operating systems and can't be fixed.

You can arrange Monitoring View so that duplicate device icons don't cause confusion or interfere with your online work.

  • Rearrange the device icons so that the duplicates are at the bottom of the list.

  • Resize Monitoring View to hide the duplicate device icons.


EHCI Host Controller Appears in the Disconnected Hubs and Devices Window

If you disable the EHCI Host Controller in Device Manager, it may appear in the Disconnected Hubs and Devices Window. It will disappear once the Controller is re-enabled.

Note!

Disabling and re-enabling the EHCI Host Controller may cause USBControl to close.


My 7-Port Hub Shows As Two Linked 4-Port Hubs

If your 7-port hub appears in the Device Map as two daisy-chained 4-port hubs, it's because USBControl identifies the chip(s) inside the hub, not the physical ports. Non-Adaptec-brand 7-port hubs are often created using two 4-port hub chips linked together. For this reason, 7-port hubs will sometimes appear and be identified as two 4-port hubs by USBControl.


My Hub Doesn't Appear in Monitoring View

Monitoring View is a summary of the Device Map with the added feature of virtual LEDs, which glow and flash as your devices exchange information (like pictures or music) with your computer.

Because hubs are essentially extensions of the adapters installed in your computer and can't be used to send or receive data by themselves (independent of attached devices), hubs don't appear in the list of devices in Monitoring View.

To see your hubs, look in the Device Map. Click on any hub icon to see more detailed information about it in Device View.


There's Not Enough Device Map

Your Device Map may be too large to fit in the available space, or the window separation bar may be pulled down too far.

  • Enlarge the View.

  • Move the Device Map to a better position.

  • Resize the window panes to suit your needs.


There's Too Much Device Map

Your View will be almost filled with the Device Map and the System or Device information will be hidden if the window separation bar is pulled up too high.

  • Resize the window panes to suit your needs.


USBControl Shows More Ports Than My Hub Really Has

If your hub appears in the Device Map with more ports than it really has (such as a 2-port hub showing up with 4-ports), it's because USBControl identifies the chip inside the hub, not the physical ports. Chips used inside hubs can often support more ports than actually exist on the hub. For this reason, non-existent ports will sometimes appear and be identified as Available by USBControl.

You can use the existing ports for your devices, and you will be able to identify and monitor them as usual (by the device icon, name, port number, and cable path). The "phantom" Available ports will always appear on your Device Map; there's no way to delete them.